> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# एकीकरण मार्गदर्शिका

> म्यूट एंडपॉइंट्स के एकीकरण के लिए मुख्य अवधारणाएँ और सर्वोत्तम प्रक्रियाएँ

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

यह मार्गदर्शिका उन मुख्य अवधारणाओं को समझाती है जिनकी आपको अपने एप्लिकेशन में mutes endpoints को एकीकृत करने के लिए आवश्यकता है।

***

<div id="authentication">
  ## प्रमाणीकरण
</div>

निजी म्यूट सूचियों तक पहुँचने के लिए म्यूट एंडपॉइंट्स पर उपयोगकर्ता प्रमाणीकरण आवश्यक है:

| विधि                                                                                                                                | विवरण                   |
| :---------------------------------------------------------------------------------------------------------------------------------- | :---------------------- |
| [PKCE के साथ OAuth 2.0 Authorization Code](/hi/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) | नए ऐप्स के लिए अनुशंसित |
| [OAuth 1.0a User Context](/hi/resources/fundamentals/authentication)                                                                | लेगेसी सपोर्ट           |

<Warning>
  केवल ऐप प्रमाणीकरण समर्थित नहीं है। आपको किसी उपयोगकर्ता की ओर से प्रमाणीकरण करना होगा।
</Warning>

<div id="required-scopes-oauth-20">
  ### आवश्यक स्कोप (OAuth 2.0)
</div>

| Scope        | इनके लिए आवश्यक                           |
| :----------- | :---------------------------------------- |
| `mute.read`  | म्यूट किए गए खातों को प्राप्त करने के लिए |
| `mute.write` | खातों को म्यूट और अनम्यूट करने के लिए     |
| `users.read` | म्यूट स्कोप के साथ आवश्यक                 |

***

<div id="endpoints-overview">
  ## एंडपॉइंट्स का अवलोकन
</div>

| Method | Endpoint                                          | Description                             |
| :----- | :------------------------------------------------ | :-------------------------------------- |
| GET    | `/2/users/:id/muting`                             | म्यूट किए गए खातों की सूची प्राप्त करें |
| POST   | `/2/users/:id/muting`                             | किसी खाते को म्यूट करें                 |
| DELETE | `/2/users/:source_user_id/muting/:target_user_id` | किसी खाते को अनम्यूट करें               |

***

<div id="fields-and-expansions">
  ## फ़ील्ड्स और expansions
</div>

<div id="default-response">
  ### डिफ़ॉल्ट प्रतिक्रिया
</div>

```json theme={null}
{
  "data": [
    {
      "id": "1234567890",
      "name": "Example User",
      "username": "example"
    }
  ]
}
```

<div id="available-fields">
  ### उपलब्ध फ़ील्ड्स
</div>

<Accordion title="user.fields">
  | फ़ील्ड              | विवरण                      |
  | :------------------ | :------------------------- |
  | `created_at`        | खाता बनाए जाने की तिथि     |
  | `description`       | उपयोगकर्ता का परिचय        |
  | `profile_image_url` | प्रोफ़ाइल चित्र का URL     |
  | `public_metrics`    | फ़ॉलोअर/फ़ॉलोइंग की संख्या |
  | `verified`          | सत्यापन की स्थिति          |
</Accordion>

<Accordion title="expansions">
  | expansions        | विवरण                         |
  | :---------------- | :---------------------------- |
  | `pinned_tweet_id` | उपयोगकर्ता की पिन की गई पोस्ट |
</Accordion>

<div id="example-with-fields">
  ### फ़ील्ड्स के साथ उदाहरण
</div>

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/users/123456789/muting?\
  user.fields=username,verified,created_at&\
  max_results=100" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

  # अतिरिक्त फ़ील्ड्स के साथ म्यूट किए गए यूज़र प्राप्त करें
  for page in client.users.get_muting(
      user_id="123456789",
      user_fields=["username", "verified", "created_at"],
      max_results=100
  ):
      for user in page.data:
          print(f"{user.username} - Verified: {user.verified}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

  const paginator = client.users.getMuting("123456789", {
    userFields: ["username", "verified", "created_at"],
    maxResults: 100,
  });

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(`${user.username} - Verified: ${user.verified}`);
    });
  }
  ```
</CodeGroup>

***

<div id="pagination">
  ## पेजिनेशन
</div>

जिन उपयोगकर्ताओं की म्यूट सूची बड़ी होती है, उनके लिए परिणाम पेजों में विभाजित किए जाते हैं:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # पहला अनुरोध
  curl "https://api.x.com/2/users/123/muting?max_results=100" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"

  # पेजिनेशन टोकन के साथ अगला अनुरोध
  curl "https://api.x.com/2/users/123/muting?max_results=100&pagination_token=NEXT_TOKEN" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

  # SDK पेजिनेशन को अपने-आप संभालता है
  all_muted = []

  for page in client.users.get_muting(user_id="123", max_results=100):
      if page.data:
          all_muted.extend(page.data)

  print(f"{len(all_muted)} उपयोगकर्ताओं को म्यूट किया गया")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

  async function getAllMutedUsers(userId) {
    const allMuted = [];

    // SDK पेजिनेशन को अपने-आप संभालता है
    const paginator = client.users.getMuting(userId, { maxResults: 100 });

    for await (const page of paginator) {
      if (page.data) {
        allMuted.push(...page.data);
      }
    }

    return allMuted;
  }

  // उपयोग
  const muted = await getAllMutedUsers("123");
  console.log(`${muted.length} उपयोगकर्ताओं को म्यूट किया गया`);
  ```
</CodeGroup>

<Card title="पेजिनेशन गाइड" icon="arrow-right" href="/hi/x-api/fundamentals/pagination">
  पेजिनेशन के बारे में और जानें
</Card>

***

<div id="behavior-differences">
  ## व्यवहार संबंधी अंतर
</div>

<div id="muting-vs-blocking">
  ### म्यूट करना बनाम ब्लॉक करना
</div>

| सुविधा                    | म्यूट                   | ब्लॉक                   |
| :------------------------ | :---------------------- | :---------------------- |
| उनकी पोस्ट्स दिखें        | नहीं (छिपी हुई)         | नहीं                    |
| उन्हें आपकी पोस्ट्स दिखें | हाँ                     | नहीं                    |
| वे आपको फ़ॉलो करें        | हाँ (फ़ॉलो कर सकते हैं) | नहीं (हटा दिया जाता है) |
| वे आपको DM भेज सकें       | हाँ                     | नहीं                    |
| सूचना भेजी जाती है        | नहीं                    | नहीं                    |

<Tip>
  म्यूट करना निजी होता है — म्यूट किए गए उपयोगकर्ता को इसकी सूचना नहीं मिलती और उसे पता नहीं चलता कि उसे म्यूट किया गया है।
</Tip>

***

<div id="error-handling">
  ## त्रुटि प्रबंधन
</div>

| Status | Error            | Solution                             |
| :----- | :--------------- | :----------------------------------- |
| 400    | अमान्य अनुरोध    | उपयोगकर्ता id का प्रारूप जाँचें      |
| 401    | अनधिकृत          | एक्सेस टोकन सत्यापित करें            |
| 403    | निषिद्ध          | स्कोप और अनुमतियों की जाँच करें      |
| 404    | नहीं मिला        | उपयोगकर्ता मौजूद नहीं है             |
| 429    | बहुत अधिक अनुरोध | प्रतीक्षा करें और फिर से प्रयास करें |

***

<div id="next-steps">
  ## अगले चरण
</div>

<CardGroup cols={2}>
  <Card title="त्वरित शुरुआत" icon="rocket" href="/hi/x-api/users/mutes/quickstart/manage-mutes-quickstart">
    अपना पहला म्यूट अनुरोध करें
  </Card>

  <Card title="ब्लॉक" icon="ban" href="/hi/x-api/users/blocks/introduction">
    म्यूट करने के बजाय उपयोगकर्ताओं को ब्लॉक करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/users/get-muting">
    एंडपॉइंट का पूरा दस्तावेज़ीकरण
  </Card>

  <Card title="नमूना कोड" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    काम करने वाले कोड उदाहरण
  </Card>
</CardGroup>
